<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/SimCalorimeterHitConst.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SimCalorimeterHitConst.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_sim_calorimeter_hit_const_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef EICD_ConstSimCalorimeterHit_H</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#define EICD_ConstSimCalorimeterHit_H</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_calorimeter_hit_obj_8h.html">eicd/SimCalorimeterHitObj.h</a>&quot;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_sim_calorimeter_hit_data_8h.html">eicd/SimCalorimeterHitData.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">//forward declarations</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">class </span>SimCalorimeterHitObj;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">class </span>SimCalorimeterHit;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span>SimCalorimeterHitCollection;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>SimCalorimeterHitCollectionIterator;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html">   26</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a> {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection.html">SimCalorimeterHitCollection</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">SimCalorimeterHitCollectionIterator</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a8f3ac9c4518f98a6b8d02efb857c8d0e">ConstSimCalorimeterHit</a>();</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a8f3ac9c4518f98a6b8d02efb857c8d0e">ConstSimCalorimeterHit</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a6a11a9efda79e8d2c640e5f745fbfb53">cellID0</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a3a2ab51b8a3b43efda4d1edac1efab15">cellID1</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#af1ca9752d7972e0a0411464a780d7eae">energy</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a239cda017d13c4c694660a9e3d6a6109">time</a>, std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#adfe70ebe12e40473cb0cd84d7a8961b7">position</a>);</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a8f3ac9c4518f98a6b8d02efb857c8d0e">ConstSimCalorimeterHit</a>(<a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a>* obj);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;  <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a8f3ac9c4518f98a6b8d02efb857c8d0e">ConstSimCalorimeterHit</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a>&amp; other);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a>&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a47043b09d70c8c72ba1f9ca7c4f72fa0">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a>&amp; other);</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a90e535779a672a4f80f80333af31bb2f">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;  <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a55eba11339b896dd18d7223d867ea9dc">~ConstSimCalorimeterHit</a>();</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a6a11a9efda79e8d2c640e5f745fbfb53">cellID0</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a3a2ab51b8a3b43efda4d1edac1efab15">cellID1</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#af1ca9752d7972e0a0411464a780d7eae">energy</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a239cda017d13c4c694660a9e3d6a6109">time</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="keyword">const</span> std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#adfe70ebe12e40473cb0cd84d7a8961b7">position</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#adfe70ebe12e40473cb0cd84d7a8961b7">position</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a0a501cd1acc46afa68104e8d050af939">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00069"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a4d9589f35bc8c84c5e74c837c329d833">   69</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a4d9589f35bc8c84c5e74c837c329d833">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a832804348bff1e03da6a0da43762648d">   71</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a832804348bff1e03da6a0da43762648d">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a>&amp; other)<span class="keyword"> const </span>{</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;       <span class="keywordflow">return</span> (m_obj == other.m_obj);</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  }</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a832804348bff1e03da6a0da43762648d">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_sim_calorimeter_hit.html">SimCalorimeterHit</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="comment">//  friend bool operator&lt; (const SimCalorimeterHit&amp; p1,</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="comment">//       const SimCalorimeterHit&amp; p2 );</span></div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a351f1134f282f02794c72877563d8cf3">   80</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a351f1134f282f02794c72877563d8cf3">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html">ConstSimCalorimeterHit</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj  ; }</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno"><a class="line" href="classeic_1_1_const_sim_calorimeter_hit.html#a8efeb35ccf4830933e6fd4531ca5e437">   82</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#a8efeb35ccf4830933e6fd4531ca5e437">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#af6e62f03d17863a86586f1bfa9bdf48a">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#af6e62f03d17863a86586f1bfa9bdf48a">getObjectID</a>().index; }</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_sim_calorimeter_hit.html#af6e62f03d17863a86586f1bfa9bdf48a">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <a class="code" href="classeic_1_1_sim_calorimeter_hit_obj.html">SimCalorimeterHitObj</a>* m_obj;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;};</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a4d9589f35bc8c84c5e74c837c329d833"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a4d9589f35bc8c84c5e74c837c329d833">eic::ConstSimCalorimeterHit::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from SimCalorimeterHitObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8h_source.html#l00069">SimCalorimeterHitConst.h:69</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a55eba11339b896dd18d7223d867ea9dc"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a55eba11339b896dd18d7223d867ea9dc">eic::ConstSimCalorimeterHit::~ConstSimCalorimeterHit</a></div><div class="ttdeci">~ConstSimCalorimeterHit()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00046">SimCalorimeterHitConst.cc:46</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a47043b09d70c8c72ba1f9ca7c4f72fa0"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a47043b09d70c8c72ba1f9ca7c4f72fa0">eic::ConstSimCalorimeterHit::operator=</a></div><div class="ttdeci">ConstSimCalorimeterHit &amp; operator=(const ConstSimCalorimeterHit &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00031">SimCalorimeterHitConst.cc:31</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_adfe70ebe12e40473cb0cd84d7a8961b7"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#adfe70ebe12e40473cb0cd84d7a8961b7">eic::ConstSimCalorimeterHit::position</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; position() const</div><div class="ttdoc">Access the The position of the hit in world coordinates. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00059">SimCalorimeterHitConst.cc:59</a></div></div>
<div class="ttc" id="_sim_calorimeter_hit_obj_8h_html"><div class="ttname"><a href="_sim_calorimeter_hit_obj_8h.html">SimCalorimeterHitObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_af1ca9752d7972e0a0411464a780d7eae"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#af1ca9752d7972e0a0411464a780d7eae">eic::ConstSimCalorimeterHit::energy</a></div><div class="ttdeci">const float &amp; energy() const</div><div class="ttdoc">Access the The energy of the hit in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00055">SimCalorimeterHitConst.cc:55</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a832804348bff1e03da6a0da43762648d"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a832804348bff1e03da6a0da43762648d">eic::ConstSimCalorimeterHit::operator==</a></div><div class="ttdeci">bool operator==(const ConstSimCalorimeterHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8h_source.html#l00071">SimCalorimeterHitConst.h:71</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a351f1134f282f02794c72877563d8cf3"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a351f1134f282f02794c72877563d8cf3">eic::ConstSimCalorimeterHit::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const ConstSimCalorimeterHit &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8h_source.html#l00080">SimCalorimeterHitConst.h:80</a></div></div>
<div class="ttc" id="_sim_calorimeter_hit_data_8h_html"><div class="ttname"><a href="_sim_calorimeter_hit_data_8h.html">SimCalorimeterHitData.h</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_obj_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_obj.html">eic::SimCalorimeterHitObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_obj_8h_source.html#l00023">SimCalorimeterHitObj.h:23</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a239cda017d13c4c694660a9e3d6a6109"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a239cda017d13c4c694660a9e3d6a6109">eic::ConstSimCalorimeterHit::time</a></div><div class="ttdeci">const float &amp; time() const</div><div class="ttdoc">Access the The time of the hit in [ns]. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00057">SimCalorimeterHitConst.cc:57</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a8efeb35ccf4830933e6fd4531ca5e437"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a8efeb35ccf4830933e6fd4531ca5e437">eic::ConstSimCalorimeterHit::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8h_source.html#l00082">SimCalorimeterHitConst.h:82</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_af6e62f03d17863a86586f1bfa9bdf48a"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#af6e62f03d17863a86586f1bfa9bdf48a">eic::ConstSimCalorimeterHit::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00072">SimCalorimeterHitConst.cc:72</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a6a11a9efda79e8d2c640e5f745fbfb53"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a6a11a9efda79e8d2c640e5f745fbfb53">eic::ConstSimCalorimeterHit::cellID0</a></div><div class="ttdeci">const long long &amp; cellID0() const</div><div class="ttdoc">Access the The detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00051">SimCalorimeterHitConst.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection_iterator.html">eic::SimCalorimeterHitCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00027">SimCalorimeterHitCollection.h:27</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00011">CalorimeterHit.cc:11</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_collection_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit_collection.html">eic::SimCalorimeterHitCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_collection_8h_source.html#l00050">SimCalorimeterHitCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a3a2ab51b8a3b43efda4d1edac1efab15"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a3a2ab51b8a3b43efda4d1edac1efab15">eic::ConstSimCalorimeterHit::cellID1</a></div><div class="ttdeci">const long long &amp; cellID1() const</div><div class="ttdoc">Access the The second detector specific (geometrical) cell id. </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00053">SimCalorimeterHitConst.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a90e535779a672a4f80f80333af31bb2f"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a90e535779a672a4f80f80333af31bb2f">eic::ConstSimCalorimeterHit::clone</a></div><div class="ttdeci">ConstSimCalorimeterHit clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00042">SimCalorimeterHitConst.cc:42</a></div></div>
<div class="ttc" id="classeic_1_1_sim_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_sim_calorimeter_hit.html">eic::SimCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_8h_source.html#l00029">SimCalorimeterHit.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html">eic::ConstSimCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8h_source.html#l00026">SimCalorimeterHitConst.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a0a501cd1acc46afa68104e8d050af939"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a0a501cd1acc46afa68104e8d050af939">eic::ConstSimCalorimeterHit::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00065">SimCalorimeterHitConst.cc:65</a></div></div>
<div class="ttc" id="classeic_1_1_const_sim_calorimeter_hit_html_a8f3ac9c4518f98a6b8d02efb857c8d0e"><div class="ttname"><a href="classeic_1_1_const_sim_calorimeter_hit.html#a8f3ac9c4518f98a6b8d02efb857c8d0e">eic::ConstSimCalorimeterHit::ConstSimCalorimeterHit</a></div><div class="ttdeci">ConstSimCalorimeterHit()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_sim_calorimeter_hit_const_8cc_source.html#l00013">SimCalorimeterHitConst.cc:13</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
